SwiftBinary (Gradle API 4.3.1)
Date: 2017-11-08

org.gradle.language.swift

## Interface SwiftBinary

- All Superinterfaces:
    Named, SoftwareComponent
  All Known Subinterfaces:
    SwiftBundle, SwiftExecutable, SwiftSharedLibrary

      @Incubating
      public interface SwiftBinary
      extends SoftwareComponent

  A binary built from Swift source.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileCollection` | `getCompileImportPath()` Returns the import path to use to compile this binary.
    `FileCollection` | `getLinkLibraries()` Returns the link libraries to use to link this binary.
    `Provider<String>` | `getModule()` Returns the Swift module that this binary defines.
    `FileCollection` | `getRuntimeLibraries()` Returns the runtime libraries required by this binary.
    `FileCollection` | `getSwiftSource()` Returns the Swift source files of this binary.
    `boolean` | `isDebuggable()` Returns true if this binary has debugging enabled.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getModule

          Provider<String> getModule()

      Returns the Swift module that this binary defines.

    - #### isDebuggable

          boolean isDebuggable()

      Returns true if this binary has debugging enabled.

    - #### getSwiftSource

          FileCollection getSwiftSource()

      Returns the Swift source files of this binary.

    - #### getCompileImportPath

          FileCollection getCompileImportPath()

      Returns the import path to use to compile this binary. Includes the import path this binary's dependencies.

    - #### getLinkLibraries

          FileCollection getLinkLibraries()

      Returns the link libraries to use to link this binary. Includes the link libraries of the component's dependencies.

    - #### getRuntimeLibraries

          FileCollection getRuntimeLibraries()

      Returns the runtime libraries required by this binary. Includes the runtime libraries of the component's dependencies.